//
//  PowerPointMacAssistant.swift
//  masterkey
//
//  Created by Ian Kohl on 2/28/19.
//  Copyright © 2019 One Sky IT. All rights reserved.
//

import Foundation

class KeynoteAssistant: ApplicationAssistant {
    override init() {
        super.init()
        
        mirrored = false
        shouldUnmirror = true
        
        delay = 2

        applicationName = "Keynote"
        
        applicationPath = "/Applications/Keynote.app"
        
        bundleID = "com.apple.iWork.Keynote"
        
        scriptString = """
        delay(1)
        var keynote = Application('Keynote')
        
        var app = Application.currentApplication()
        app.includeStandardAdditions = true
        
        keynote.activate()
        delay(1)
        keynote.activate()
        
        var doc = keynote.documents[0]
        var slide = doc.slides[0]
        doc.start()
        """
    }
}
